oauth
OAuth 2.1 authorization server for the public API and the MCP server.
OAuth 2.1 authorization server for the public API and the MCP server.
| Method | Path | Operation | Scope | Test mode |
|---|---|---|---|---|
| GET | /.well-known/jwks.json | oauth_jwks_well_known: Public signing keys (JWKS) | public | - |
| GET | /.well-known/oauth-authorization-server | oauth_server_metadata: Authorization server metadata (RFC 8414) | public | - |
| GET | /.well-known/openid-configuration | oauth_openid_configuration: OpenID-style discovery document | public | - |
| GET | /oauth/authorize | oauth_authorize: Authorization endpoint (browser) | public | - |
| POST | /oauth/introspect | oauth_introspect: Introspect a token (RFC 7662) | public | - |
| GET | /oauth/jwks.json | oauth_jwks: Public signing keys (JWKS) | public | - |
| POST | /oauth/register | oauth_register: Dynamic client registration (RFC 7591) | public | - |
| POST | /oauth/revoke | oauth_revoke: Revoke a token (RFC 7009) | public | - |
| POST | /oauth/token | oauth_token: Token endpoint | public | - |
| GET | /v1/oauth/consent | oauth_consent_get: Consent screen data | any | - |
| POST | /v1/oauth/consent | oauth_consent_decide: Approve or deny an application | any | - |
| GET | /v1/whoami | whoami_get: Who is calling | any | yes |
Request and response schemas: the interactive reference at https://api.wapitick.com/docs, or docs/api/openapi.json.